Package com.io7m.cedarbridge.schema.binder.api

# Record Class CBBindingExternal

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.schema.binder.api.CBBindingExternal

Record Components:
  `name` - The name
  `lexical` - The lexical information
  `type` - The type

All Implemented Interfaces:
  `CBBindingType`, `com.io7m.jlexing.core.LexicalType<URI>`

public record CBBindingExternal(String name, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBTypeDeclarationType type) extends Record implements CBBindingType
The binding names an external type declaration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBBindingExternal(String name, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBTypeDeclarationType type)`
  The binding names an external type declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.jlexing.core.LexicalPosition<URI>`
  `lexical()`
  Returns the value of the `lexical` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CBTypeDeclarationType`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBBindingExternal

    public CBBindingExternal(String name, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBTypeDeclarationType type)
    The binding names an external type declaration.
    Parameters:
      `name` - The name
      `lexical` - The lexical information
      `type` - The type

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Specified by:
      `name` in interface `CBBindingType`
    Returns:
      the value of the `name` record component

  - ### lexical

    public com.io7m.jlexing.core.LexicalPosition<URI> lexical()
    Returns the value of the `lexical` record component.
    Specified by:
      `lexical` in interface `CBBindingType`
    Specified by:
      `lexical` in interface `com.io7m.jlexing.core.LexicalType<URI>`
    Returns:
      the value of the `lexical` record component

  - ### type

    public CBTypeDeclarationType type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component